create or replace table X_%SVC% (
   id_ver               smallint                       not null,
   ver_value            varchar(50)                    not null,
   ver_date             DATE                           not null,
   ver_number           int                            default 0 not null,
   ver_comment          varchar(255)                   null,
   primary key (id_ver)
)
;

create unique index ZX_%SVC% on X_%SVC% (ver_value)
;




create or replace table Y_%SVC% (
   id_common_tile       smallint                       not null,
   id_common_type       smallint                       not null,
   common_size          int                            not null,
   common_body          BLOB                           null,
   primary key (id_common_tile)
)
;

create index ZY_%SVC% on Y_%SVC% (id_common_type, common_size)
;




create or replace table "%Z%%HX%%DIV%%HY%_%SVC%" (
   x                    numeric                        not null,
   y                    numeric                        not null,
   id_ver               smallint                       not null,
   tile_size            int                            default 0 not null,
   id_contenttype       smallint                       not null,
   load_date            DATE                           default SYSDATE not null,
   tile_body            BLOB                           null,
   primary key (x, y, id_ver)
)
;

create index ZZ_%Z%%HX%%DIV%%HY%_%SVC% on "%Z%%HX%%DIV%%HY%_%SVC%" (x, y, id_ver, tile_size)
;

alter table "%Z%%HX%%DIV%%HY%_%SVC%"
   add foreign key (id_ver)
      references X_%SVC% (id_ver)
;

